Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class PackageEntry

    java.lang.Object
      |
      +--com.bea.wlpi.common.PackageEntry

public class PackageEntry
extends java.lang.Object
implements java.io.Serializable

Represents a single entry in a publish package JAR file.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`PackageEntry(Publishable p, java.util.Map r)`
`PackageEntry(Publishable p, java.util.Map r, boolean b)` Deprecated. Use `PackageEntry(Publishable,Map)` instead.

Method Summary
`java.lang.String` | `getEntryType()`
`Publishable` | `getPublishable()`
`boolean` | `getPublished()`
`java.util.Map` | `getReferences()`
`void` | `setPublishable(Publishable p)`
`void` | `setPublished(boolean b)` Deprecated. Call `Publishable.publish()` instead.
`void` | `setReferences(java.util.Map r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageEntry

    public PackageEntry(Publishable p,
                        java.util.Map r,
                        boolean b)

  Deprecated. Use `PackageEntry(Publishable,Map)` instead.

### PackageEntry

    public PackageEntry(Publishable p,
                        java.util.Map r)

  Since:
    WebLogic Integration 7.0

Method Detail

### getPublishable

    public Publishable getPublishable()

### setPublishable

    public void setPublishable(Publishable p)

### getPublished

    public boolean getPublished()

### setPublished

    public void setPublished(boolean b)

  Deprecated. Call `Publishable.publish()` instead.
  Publish a package entry. This method can no longer be used to unpublish a previously published object.

### getReferences

    public java.util.Map getReferences()

### setReferences

    public void setReferences(java.util.Map r)

### getEntryType

    public java.lang.String getEntryType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)